headless lms

Set how you are told about the given kinds of notification

PUT /api/member/notification-preferences. Set how you are told about the given kinds of notification. Headless LMS Notifications API reference.

PUT
/api/member/notification-preferences

For any signed-in person in the organization. Changes only the kinds sent and returns every kind.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/member/notification-preferences" \  -H "Content-Type: application/json" \  -d '{    "preferences": [      {        "kind": "newPostInSpace",        "inApp": true,        "email": true      }    ]  }'
[  {    "kind": "newPostInSpace",    "inApp": true,    "email": true  }]
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}